View Issue Details

IDProjectCategoryView StatusLast Update
0006469Talermerchant backend API (HTTP specification)public2020-08-19 19:42
ReporterChristian Grothoff Assigned Tojonathanbuchanan  
PriorityhighSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product Versiongit (master) 
Target Version0.8Fixed in Version0.8 
Summary0006469: ignore timeout_ms when generating HTML
DescriptionRight now, the long-polling logic remains in effect even if the backend generates an HTML response. This is bad, as pointing a browser to a URL with the timeout_ms would simply result in the browser showing a blank page waiting for the HTML. While we would never usually do this, it is still bad behavior. We should update the spec and implementation to ignore timeout_ms (treat any value as zero) if the Accept header specifies that we should generate HTML.

(This applies to the GET /orders/{order_id} handler.)
TagsNo tags attached.

Activities

jonathanbuchanan

2020-08-10 03:29

developer   ~0016576

Spec changed in b9f1061..e225ee2 (docs.git).

jonathanbuchanan

2020-08-10 03:37

developer   ~0016577

Implemented in ac7d956..ef6fed1 (merchant.git).

Issue History

Date Modified Username Field Change
2020-08-09 14:22 Christian Grothoff New Issue
2020-08-09 14:22 Christian Grothoff Status new => assigned
2020-08-09 14:22 Christian Grothoff Assigned To => jonathanbuchanan
2020-08-09 14:22 Christian Grothoff Description Updated View Revisions
2020-08-10 03:29 jonathanbuchanan Note Added: 0016576
2020-08-10 03:37 jonathanbuchanan Note Added: 0016577
2020-08-10 19:44 jonathanbuchanan Status assigned => resolved
2020-08-10 19:44 jonathanbuchanan Resolution open => fixed
2020-08-19 19:42 Christian Grothoff Fixed in Version => 0.8
2020-08-19 19:42 Christian Grothoff Target Version 0.8.1 => 0.8